netatalk: CMakeCCompilerId.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
CMakeCCompilerId.c File Reference

## Macros
#define | __has_include(x)
#define | COMPILER_ID ""
#define | STRINGIFY_HELPER(X)
#define | STRINGIFY(X)
#define | PLATFORM_ID
#define | ARCHITECTURE_ID
#define | DEC(n)
#define | HEX(n)
#define | C_STD_99 199901L
#define | C_STD_11 201112L
#define | C_STD_17 201710L
#define | C_STD_23 202311L
#define | C_VERSION

## Functions
int | main (int argc, char *argv[])

## Variables
char const * | info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"
char const * | info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"
char const * | info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"
const char * | info_language_standard_default
const char * | info_language_extensions_default

## Macro Definition Documentation

## ◆ __has_include

#define __has_include | ( |  | x | ) |

Value:
0

## ◆ ARCHITECTURE_ID

#define ARCHITECTURE_ID

## ◆ C_STD_11

#define C_STD_11 201112L

## ◆ C_STD_17

#define C_STD_17 201710L

## ◆ C_STD_23

#define C_STD_23 202311L

## ◆ C_STD_99

#define C_STD_99 199901L

## ◆ C_VERSION

#define C_VERSION

## ◆ COMPILER_ID

#define COMPILER_ID ""

## ◆ DEC

#define DEC | ( |  | n | ) |

Value:
('0' + (((n) / 10000000)%10)), \
('0' + (((n) / 1000000)%10)), \
('0' + (((n) / 100000)%10)), \
('0' + (((n) / 10000)%10)), \
('0' + (((n) / 1000)%10)), \
('0' + (((n) / 100)%10)), \
('0' + (((n) / 10)%10)), \
('0' + ((n) % 10))

## ◆ HEX

#define HEX | ( |  | n | ) |

Value:
('0' + ((n)>>28 & 0xF)), \
('0' + ((n)>>24 & 0xF)), \
('0' + ((n)>>20 & 0xF)), \
('0' + ((n)>>16 & 0xF)), \
('0' + ((n)>>12 & 0xF)), \
('0' + ((n)>>8 & 0xF)), \
('0' + ((n)>>4 & 0xF)), \
('0' + ((n) & 0xF))

## ◆ PLATFORM_ID

#define PLATFORM_ID

## ◆ STRINGIFY

#define STRINGIFY | ( |  | X | ) |

Value:
STRINGIFY_HELPER(X)
STRINGIFY_HELPER
#define STRINGIFY_HELPER(X)
Definition CMakeCCompilerId.c:484

## ◆ STRINGIFY_HELPER

#define STRINGIFY_HELPER | ( |  | X | ) |

Value:
#X

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[] )

## Variable Documentation

## ◆ info_arch

char const* info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"

## ◆ info_compiler

char const* info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"

## ◆ info_language_extensions_default

const char* info_language_extensions_default

Initial value:
= "INFO" ":" "extensions_default["
"OFF"
"]"

## ◆ info_language_standard_default

const char* info_language_standard_default

Initial value:
=
"INFO" ":" "standard_default[" C_VERSION "]"
C_VERSION
#define C_VERSION
Definition CMakeCCompilerId.c:873

## ◆ info_platform

char const* info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"